#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using System.Drawing;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Analysis {
  /// <summary>
  /// Represents history values of histograms.
  /// </summary>
  [Item("HistogramHistory", "Represents history values of histograms.")]
  [StorableClass]
  public class HistogramHistory : ItemCollection<Histogram> {
    public override Image ItemImage {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
    }

    [StorableConstructor]
    protected HistogramHistory(bool deserializing) : base(deserializing) { }
    protected HistogramHistory(HistogramHistory original, Cloner cloner) : base(original, cloner) { }
    public HistogramHistory() : base() { }
    public HistogramHistory(IEnumerable<Histogram> collection) : base(new ItemCollection<Histogram>(collection)) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new HistogramHistory(this, cloner);
    }
  }
}
